Date: Mon, 7 Jul 1997 23:53:06 +0200 (MET DST)
From: Geert Uytterhoeven <Geert.Uytterhoeven@thomas.kotnet.org>
To: Linux/m68k <linux-m68k@phil.uni-sb.de>
Subject: L68K: New zorro board and colormap fixes
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>


  - Recognize two more Zorro boards (including a version for 2.0.29)

  - Make the default frame buffer device palette match the VGA+ color palette
    and fix a bug in the VGA+ color palette

--- linux-2.1.42/arch/m68k/amiga/zorro.c.orig	Wed Jun 18 21:29:38 1997
+++ linux-2.1.42/arch/m68k/amiga/zorro.c	Mon Jul  7 00:11:12 1997
@@ -508,6 +508,11 @@
     PROD("Hurricane 2800 68030", TURBO, IMTRONICS_HURRICANE_2800_68030_4)
 END
 
+BEGIN_PROD(INDIVIDUAL_COMPUTERS)
+    PROD("Buddha", IDE, INDIVIDUAL_COMPUTERS_BUDDHA)
+    PROD("Catweasel", IDE_FLOPPY, INDIVIDUAL_COMPUTERS_CATWEASEL)
+END
+
 BEGIN_PROD(KUPKE_3)
     PROD("Golem HD 3000", HD, KUPKE_GOLEM_HD_3000)
 END
@@ -683,6 +688,7 @@
     MANUF("Micronik", MICRONIK)
     MANUF("MegaMicro", MEGAMICRO)
     MANUF("Imtronics", IMTRONICS_2)
+    MANUF("Individual Computers", INDIVIDUAL_COMPUTERS)
     MANUF("Kupke", KUPKE_3)
     MANUF("ITH", ITH)
     MANUF("VMC", VMC)
@@ -710,6 +716,8 @@
 
     /*
      *  Zorro product classes
+     *
+     *  Make sure to keep these in sync with include/linux/zorro.h!
      */
 
 static const char *classnames[] = {
@@ -728,6 +736,7 @@
     "HD Controller and RAM Expansion",	    /* ZORRO_CLASS_HD_RAM */
     "IDE Interface",			    /* ZORRO_CLASS_IDE */
     "IDE Interface and RAM Expansion",	    /* ZORRO_CLASS_IDE_RAM */
+    "IDE Interface and Floppy Controller",  /* ZORRO_CLASS_IDE_FLOPPY */
     "ISDN Interface",			    /* ZORRO_CLASS_ISDN */
     "Macintosh Emulator",		    /* ZORRO_CLASS_MACEMU */
     "Miscellaneous Expansion Card",	    /* ZORRO_CLASS_MISC */
--- linux-2.1.42/drivers/char/console.c.orig	Tue Jun 24 23:17:50 1997
+++ linux-2.1.42/drivers/char/console.c	Mon Jul  7 20:52:20 1997
@@ -627,7 +627,7 @@
 /* the default colour table, for VGA+ colour systems */
 int default_red[] = {0x00,0xaa,0x00,0xaa,0x00,0xaa,0x00,0xaa,
     0x55,0xff,0x55,0xff,0x55,0xff,0x55,0xff};
-int default_grn[] = {0x00,0x00,0xaa,0x55,0x00,0x00,0xaa,0xaa,
+int default_grn[] = {0x00,0x00,0xaa,0xaa,0x00,0x00,0xaa,0xaa,
     0x55,0x55,0xff,0xff,0x55,0x55,0xff,0xff};
 int default_blu[] = {0x00,0x00,0x00,0x00,0xaa,0xaa,0xaa,0xaa,
     0x55,0x55,0x55,0x55,0xff,0xff,0xff,0xff};
--- linux-2.1.42/drivers/video/fbcmap.c.orig	Mon Jun 16 21:44:26 1997
+++ linux-2.1.42/drivers/video/fbcmap.c	Mon Jul  7 20:54:56 1997
@@ -36,46 +36,46 @@
 					((1<<(width))-1)) : 0))
 
 static u_short red2[] = {
-    0x0000, 0xc000
+    0x0000, 0xaaaa
 };
 static u_short green2[] = {
-    0x0000, 0xc000
+    0x0000, 0xaaaa
 };
 static u_short blue2[] = {
-    0x0000, 0xc000
+    0x0000, 0xaaaa
 };                                                  
  
 static u_short red4[] = {
-    0x0000, 0xc000, 0x8000, 0xffff
+    0x0000, 0xaaaa, 0x5555, 0xffff
 };
 static u_short green4[] = {
-    0x0000, 0xc000, 0x8000, 0xffff
+    0x0000, 0xaaaa, 0x5555, 0xffff
 };
 static u_short blue4[] = {
-    0x0000, 0xc000, 0x8000, 0xffff
+    0x0000, 0xaaaa, 0x5555, 0xffff
 };
  
 static u_short red8[] = {
-    0x0000, 0x0000, 0x0000, 0x0000, 0xc000, 0xc000, 0xc000, 0xc000
+    0x0000, 0x0000, 0x0000, 0x0000, 0xaaaa, 0xaaaa, 0xaaaa, 0xaaaa
 };
 static u_short green8[] = {
-    0x0000, 0x0000, 0xc000, 0xc000, 0x0000, 0x0000, 0xc000, 0xc000
+    0x0000, 0x0000, 0xaaaa, 0xaaaa, 0x0000, 0x0000, 0xaaaa, 0xaaaa
 };
 static u_short blue8[] = {
-    0x0000, 0xc000, 0x0000, 0xc000, 0x0000, 0xc000, 0x0000, 0xc000
+    0x0000, 0xaaaa, 0x0000, 0xaaaa, 0x0000, 0xaaaa, 0x0000, 0xaaaa
 };
  
 static u_short red16[] = {
-    0x0000, 0x0000, 0x0000, 0x0000, 0xc000, 0xc000, 0xc000, 0xc000,
-    0x8000, 0x0000, 0x0000, 0x0000, 0xffff, 0xffff, 0xffff, 0xffff
+    0x0000, 0x0000, 0x0000, 0x0000, 0xaaaa, 0xaaaa, 0xaaaa, 0xaaaa,
+    0x5555, 0x5555, 0x5555, 0x5555, 0xffff, 0xffff, 0xffff, 0xffff
 };
 static u_short green16[] = {
-    0x0000, 0x0000, 0xc000, 0xc000, 0x0000, 0x0000, 0xc000, 0xc000,
-    0x8000, 0x0000, 0xffff, 0xffff, 0x0000, 0x0000, 0xffff, 0xffff
+    0x0000, 0x0000, 0xaaaa, 0xaaaa, 0x0000, 0x0000, 0xaaaa, 0xaaaa,
+    0x5555, 0x5555, 0xffff, 0xffff, 0x5555, 0x5555, 0xffff, 0xffff
 };
 static u_short blue16[] = {
-    0x0000, 0xc000, 0x0000, 0xc000, 0x0000, 0xc000, 0x0000, 0xc000,
-    0x8000, 0xffff, 0x0000, 0xffff, 0x0000, 0xffff, 0x0000, 0xffff
+    0x0000, 0xaaaa, 0x0000, 0xaaaa, 0x0000, 0xaaaa, 0x0000, 0xaaaa,
+    0x5555, 0xffff, 0x5555, 0xffff, 0x5555, 0xffff, 0x5555, 0xffff
 };
 
 static struct fb_cmap default_2_colors = {
--- linux-2.1.42/include/linux/zorro.h.orig	Tue Jun 17 22:40:52 1997
+++ linux-2.1.42/include/linux/zorro.h	Mon Jul  7 00:10:27 1997
@@ -40,6 +40,7 @@
     ZORRO_CLASS_HD_RAM,
     ZORRO_CLASS_IDE,
     ZORRO_CLASS_IDE_RAM,
+    ZORRO_CLASS_IDE_FLOPPY,
     ZORRO_CLASS_ISDN,
     ZORRO_CLASS_MACEMU,
     ZORRO_CLASS_MISC,
@@ -449,6 +450,11 @@
 #define ZORRO_MANUF_IMTRONICS_2					0x1028
 #define  ZORRO_PROD_IMTRONICS_HURRICANE_2800_68030_3		ZORRO_ID(IMTRONICS_2, 0x39, 0)
 #define  ZORRO_PROD_IMTRONICS_HURRICANE_2800_68030_4		ZORRO_ID(IMTRONICS_2, 0x57, 0)
+
+/* unofficial ID */
+#define ZORRO_MANUF_INDIVIDUAL_COMPUTERS			0x1212
+#define  ZORRO_PROD_INDIVIDUAL_COMPUTERS_BUDDHA			ZORRO_ID(INDIVIDUAL_COMPUTERS, 0x00, 0)
+#define  ZORRO_PROD_INDIVIDUAL_COMPUTERS_CATWEASEL		ZORRO_ID(INDIVIDUAL_COMPUTERS, 0x2A, 0)
 
 #define ZORRO_MANUF_KUPKE_3					0x1248
 #define  ZORRO_PROD_KUPKE_GOLEM_HD_3000				ZORRO_ID(KUPKE_3, 0x01, 0)


--------------------------------------------------------------------------------

--- linux-m68k-2.0.29/include/asm-m68k/zorro.h.orig	Mon Jul  7 20:33:58 1997
+++ linux-m68k-2.0.29/include/asm-m68k/zorro.h	Mon Jul  7 20:40:29 1997
@@ -305,9 +305,6 @@
 #define PROD_MASTER_CARD_SCSI  (0x04)	/* Master Card SCSI Controller */
 #define PROD_MVD_819           (0x07)	/* MVD 819 */
 
-#define MANUF_DELACOMP         (0x0873)	/* DelaComp */
-#define PROD_DELACOMP_RAM_2000 (0x01)	/* RAM Expansion 2000 */
-
 #define MANUF_VILLAGE_TRONIC   (0x0877)	/* Village Tronic */
 #define PROD_DOMINO_RAM        (0x01)	/* Domino Graphics Board */
 #define PROD_DOMINO_REG        (0x02)
@@ -373,6 +370,10 @@
 #define MANUF_IMTRONICS2       (0x1028)	/* Imtronics */
 #define PROD_HURRICANE_2800_3  (0x39)	/* Hurricane 2800 68030 */
 #define PROD_HURRICANE_2800_4  (0x57)	/* Hurricane 2800 68030 */
+
+#define MANUF_INDIVIDUAL_COMP  (0x1212)	/* Individual Computers */
+#define PROD_BUDDHA            (0x00)	/* Buddha IDE Controller */
+#define PROD_CATWEASEL         (0x42)	/* Catweasel IDE and Floppy Controller */
 
 #define MANUF_KUPKE3           (0x1248)	/* Kupke */
 #define PROD_GOLEM_3000        (0x01)	/* Golem HD 3000 */
--- linux-m68k-2.0.29/arch/m68k/amiga/zorro.c.orig	Mon Jul  7 20:33:58 1997
+++ linux-m68k-2.0.29/arch/m68k/amiga/zorro.c	Mon Jul  7 20:42:04 1997
@@ -415,10 +415,6 @@
    PROD("MVD 819", MVD_819)
 END
 
-BEGIN_PROD(DELACOMP)
-   PROD("RAM Expansion 2000", DELACOMP_RAM_2000)
-END
-
 BEGIN_PROD(VILLAGE_TRONIC)
    PROD("Domino Graphics Board (RAM)", DOMINO_RAM)
    PROD("Domino Graphics Board (REG)", DOMINO_REG)
@@ -499,6 +495,11 @@
    PROD("Hurricane 2800 68030", HURRICANE_2800_4)
 END
 
+BEGIN_PROD(INDIVIDUAL_COMP)
+   PROD("Buddha IDE Controller", BUDDHA)
+   PROD("Catweasel IDE and Floppy Controller", CATWEASEL)
+END
+
 BEGIN_PROD(KUPKE3)
    PROD("Golem HD 3000", GOLEM_3000)
 END
@@ -656,7 +657,6 @@
    MANUF("Helfrich", HELFRICH1)
    MANUF("Software Result Enterprises", SW_RESULT_ENTS)
    MANUF("Masoboshi", MASOBOSHI)
-   MANUF("DelaComp", DELACOMP)
    MANUF("Village Tronic", VILLAGE_TRONIC)
    MANUF("Utilities Unlimited", UTILITIES_ULTD)
    MANUF("Amitrix", AMITRIX)
@@ -671,6 +671,7 @@
    MANUF("Micronik", MICRONIK)
    MANUF("MegaMicro", MEGA_MICRO)
    MANUF("Imtronics", IMTRONICS2)
+   MANUF("Individual Computers", INDIVIDUAL_COMP)
    MANUF("Kupke", KUPKE3)
    MANUF("ITH", ITH)
    MANUF("VMC", VMC)

Greetings,

						Geert

--
Geert Uytterhoeven                   Geert.Uytterhoeven@thomas.kotnet.org
Linux/m68k on Amiga, Wavelets        http://www.cs.kuleuven.ac.be/~geert/
KotNET@Thomas Network Administration -- Make you bed part of Cyberspace!!


